function DATAinsert = cellMakerThL(IDcentralina,DTcatena,NodeNum,ListaDate,...
                ARRAYdateThL,Dati_ThL,cThL,ErrThermLink)

l = ListaDate;
DATAinsert = cell(l,7);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateThL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateThL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati_ThL(ii,cThL);
    DATAinsert{ii,7} = ErrThermLink(cThL,ii);
end

end